%define oname nifti
Name: python-module-%oname
URL:http://niftilib.sf.net/pynifti/
Summary: Python interface to the NIfTI I/O libraries
Version: 0.20090303.1
Release: alt1.git20090924
License: MIT
Group: Development/Python

# git://git.debian.org/git/pkg-exppsy/pynifti.gi
Source: py%oname-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires: python-module-numpy libatlas-devel liblapack-devel
BuildRequires: python-devel swig libniftilib-devel zlib-devel
BuildRequires: gcc-c++ python-module-sphinx python-module-Pygments
%setup_python_module %oname

%description
Using PyNIfTI one can easily read and write NIfTI and ANALYZE images
from within Python. The NiftiImage class provides Python-style access to
the full header information. Image data is made available via NumPy
arrays.

%package doc
Summary: Documentation and examples for PyNIfTI
Group: Development/Documentation
BuildArch: noarch

%description doc
Using PyNIfTI one can easily read and write NIfTI and ANALYZE images
from within Python. The NiftiImage class provides Python-style access to
the full header information. Image data is made available via NumPy
arrays.

This package contains documentation and examples for PyNIfTI.

%prep
%setup

%build
export CFLAGS="%optflags -fno-strict-aliasing"
%python_build

export PYTHONPATH=$(find $PWD -name _clib.so|sed 's|/%oname/_clib.so||')
pushd doc
%make html
popd

%install
%python_install --prefix=%prefix --record=INSTALLED_FILES

install -d %buildroot%_docdir/py%oname
install -d %buildroot%_man1dir

cp -fR build/html tests/data/* doc/examples.txt \
	%buildroot%_docdir/py%oname/
install -m644 man/* %buildroot%_man1dir

%files -f INSTALLED_FILES
%doc AUTHOR Changelog COPYING TODO
%_bindir/*
%_man1dir/*
%python_sitelibdir/*

%files doc
%_docdir/py%oname

%changelog
* Fri Sep 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.20090303.1-alt1.git20090924
- Initial build for Sisyphus

* Tue Mar 3 2009 - Michael Hanke <michael.hanke@gmail.com> - 0.20090303.1-1
  New bugfix release.

* Thu Feb 5 2009 - Michael Hanke <michael.hanke@gmail.com> - 0.20090205.1-1
  New upstream version.

* Fri Oct 17 2008 - Michael Hanke <michael.hanke@gmail.com> - 0.20081017.1-1
  New upstream version.

* Sat Oct 4 2008 - Michael Hanke <michael.hanke@gmail.com> - 0.20080710.1-1
- Initial release
